1)Are all the plug-ins available compatible with Version 7?

2)If not, when will they be available?

3)I pose this question because the telescope plug-in for watch will not work it says that it is being used by another process.....?